DSRW_READ_ELEMENT(3)

FUNCTION
dsrw_read_element - Read the binary representation of an element.

SYNOPSIS
#include <karma_dsrw.h>

flag dsrw_read_element

(Channel channel, unsigned int type, char *desc, char *element)

DESCRIPTION
This routine will read the binary representation of an element from a channel object. If the element type is a pointer to an array or linked lists, the routine will recursively read in the array or linked list of packets.

channel
    The channel object.

type
    The type of the element.

desc
    The element descriptor.

element
    A pointer to the element storage. This will be written to.

RETURN VALUE
TRUE on success, else FALSE.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/